SELECT 'button' AS component;
SELECT 'Open' AS title
, 1 AS width
, $tabler_color AS color
, '/clip/open.sql?' AS link
;
SELECT 'New' AS title
, 1 AS width
, 'gray-500' AS color
, 'https://shandan.one/clip.sql?' AS link
;
SELECT 'Download' AS title
, 2 AS width
, 'gray-500' AS color
, 'https://shandan.one/clip/'||$hash||'?raw=true' AS link
;

SELECT 'form' AS component
, '/clip' AS action
, '' AS validate
, 'post' AS method
;
SELECT 'Paste' AS value
, '' AS label
, 1 AS width
, 'submit' AS type
, 'action' AS name
;
SELECT 'Edit as New' AS value
, '' AS label
, 2 AS width
, 'submit' AS type
, 'action' AS name
, '/clip.sql' AS formaction
;
SELECT 'Paste something here...' AS placeholder
, CASE $content IS NULL OR COALESCE($action, '') IN ('Edit as New', 'New') WHEN TRUE THEN 'textarea' ELSE 'hidden' END AS type
, 'paste' AS name
, '' AS label
, CASE COALESCE($action, '')
  WHEN 'New' THEN NULL
  ELSE $content
END AS value
;
SELECT 'code' AS component;
SELECT $content AS contents WHERE $content IS NOT NULL AND COALESCE($action, '') NOT IN ('Edit as New', 'New');