SET url = 'https://shandan.one/clip/validate?hash=' || sqlpage.url_encode($hash);
SET api_results = sqlpage.fetch($url);
SET content = $api_results->>'o';
SET err = $api_results->>'err';
SET inner = CASE $err IS NULL
  WHEN TRUE THEN $tool||'/form.sql'
  ELSE 'sqlpage/status.sql'
END;
SET status = CASE $err IS NULL
  WHEN TRUE THEN NULL
  ELSE $err->>0
END;
SET info = CASE $err IS NULL
  WHEN TRUE THEN NULL
  ELSE $err->>1
END;
SELECT 'dynamic' AS component, sqlpage.run_sql($inner) AS properties;